Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.jmx
Class JMXConnectionUtil

    java.lang.Object
      org.jini.rio.jmx.JMXConnectionUtil

    public class JMXConnectionUtil

extends Object

Creates an MBeanServer bound to the RIM Registry and sets the `org.jini.rio.jmxServiceURL` system property. If the `org.jini.rio.jmxServiceURL` system property is laready set, this utility returns immediately.

This utility uses the `RegistryUtil` class to obtain the port to access the RMi Registry.

#### Configuring JMXConnectionUtil

The JMXConnectionUtil supports the following configuration entries; where each configuration entry name is associated with the component name `org.jini.rio.jmx`.

- hostAddress

  Type: | String
  Default: | If the java.rmi.server.hostname property is set, use this as the default, otherwise use the value returned by `InetAddress.getLocalHost()`

Constructor Summary
`JMXConnectionUtil()`

Method Summary
`static void` | `createJMXConnection(Configuration config)` Check if JMXConnection URL exists for the VM, if not create one.
`protected JMXConnectorServer` | `getJMXConnectorServer(int registryPort, MBeanServer mbs, String hostAddress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXConnectionUtil

    public JMXConnectionUtil()

Method Detail

### createJMXConnection

    public static void createJMXConnection(Configuration config)
                                    throws Exception

  Check if JMXConnection URL exists for the VM, if not create one.

  Parameters:
    `config` - Configuration object to use
  Throws:
    `Exception` - If there are errors reading the configuration, or creating the `JMXConnectorServer`

### getJMXConnectorServer

    protected JMXConnectorServer getJMXConnectorServer(int registryPort,
                                                       MBeanServer mbs,
                                                       String hostAddress)
                                                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.